aboutsummaryrefslogtreecommitdiffstats
path: root/meta/recipes-support/vte/vte/0001-Don-t-enable-stack-protection-by-default.patch
diff options
context:
space:
mode:
authorJussi Kukkonen <jussi.kukkonen@intel.com>2016-04-26 15:19:48 +0300
committerRichard Purdie <richard.purdie@linuxfoundation.org>2016-06-15 17:52:23 +0100
commitdc21182ada418cf3917ae8319494d219462c5bfd (patch)
tree0083fcbd248c24d72b9093d7f825f116de213f06 /meta/recipes-support/vte/vte/0001-Don-t-enable-stack-protection-by-default.patch
parentaafd8c4b6be008f3a23d7db79a0ccc080a90b0aa (diff)
downloadopenembedded-core-contrib-dc21182ada418cf3917ae8319494d219462c5bfd.tar.gz
openembedded-core-contrib-dc21182ada418cf3917ae8319494d219462c5bfd.tar.bz2
openembedded-core-contrib-dc21182ada418cf3917ae8319494d219462c5bfd.zip
vte: Upgrade to 0.44.1
* License change LGPL 2.0 -> LGPL 2.1+ * vte-termcap is no more * API break: current version seems to be parallel installable with old one, but I did not opt for that. * Add patch to avoid stack protection by default * Use libtool-cross: libtool adds "-nostdlib" when g++ is used, and this leads to a link failure on PIE builds: "undefined reference to __init_array_start". libtool-cross has a hack to avoid "-nostdlib" Signed-off-by: Jussi Kukkonen <jussi.kukkonen@intel.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
Diffstat (limited to 'meta/recipes-support/vte/vte/0001-Don-t-enable-stack-protection-by-default.patch')
-rw-r--r--meta/recipes-support/vte/vte/0001-Don-t-enable-stack-protection-by-default.patch29
1 files changed, 29 insertions, 0 deletions
diff --git a/meta/recipes-support/vte/vte/0001-Don-t-enable-stack-protection-by-default.patch b/meta/recipes-support/vte/vte/0001-Don-t-enable-stack-protection-by-default.patch
new file mode 100644
index 0000000000..fcfc559758
--- /dev/null
+++ b/meta/recipes-support/vte/vte/0001-Don-t-enable-stack-protection-by-default.patch
@@ -0,0 +1,29 @@
+From b0a579d83e355545b64742c997fe8b1d58bf4207 Mon Sep 17 00:00:00 2001
+From: Jussi Kukkonen <jussi.kukkonen@intel.com>
+Date: Mon, 13 Jun 2016 11:05:00 +0300
+Subject: [PATCH] Don't enable stack-protection by default
+
+These are set by security_flags.inc.
+
+Upstream-Status: Inappropriate [configuration]
+Signed-off-by: Jussi Kukkonen <jussi.kukkonen@intel.com>
+---
+ configure.ac | 2 --
+ 1 file changed, 2 deletions(-)
+
+diff --git a/configure.ac b/configure.ac
+index 068d072..d580f84 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -138,8 +138,6 @@ m4_define([compiler_flags_common],[ dnl
+ -fno-common dnl
+ -fdiagnostics-show-option dnl
+ -fno-strict-aliasing dnl
+- -fstack-protector dnl
+- -fstack-protector-strong dnl
+ -fno-semantic-interposition dnl
+ -Wno-deprecated-declarations dnl
+ ])
+--
+2.1.4
+